Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty.ajp
Class Ajp13Request

    java.lang.Object
      org.mortbay.jetty.Request
          org.mortbay.jetty.ajp.Ajp13Request

All Implemented Interfaces:
  HttpServletRequest, ServletRequest

    public class Ajp13Request

extends Request

Field Summary
`protected HttpConnection` | `_connection`
`protected String` | `_remoteAddr`
`protected String` | `_remoteHost`
`protected String` | `_remoteUser`

Fields inherited from interface javax.servlet.http.HttpServletRequest
`BASIC_AUTH, CLIENT_CERT_AUTH, DIGEST_AUTH, FORM_AUTH`

Constructor Summary
`Ajp13Request(HttpConnection connection)`

Method Summary
`String` | `getRemoteAddr()` Returns the Internet Protocol (IP) address of the client or last proxy that sent the request.
`String` | `getRemoteHost()` Returns the fully qualified name of the client or the last proxy that sent the request.
`String` | `getRemoteUser()` Returns the login of the user making this request, if the user has been authenticated, or `null` if the user has not been authenticated.
`protected void` | `recycle()`
`void` | `setRemoteAddr(String remoteAddr)`
`void` | `setRemoteHost(String remoteHost)`
`void` | `setRemoteUser(String remoteUser)`

Methods inherited from class org.mortbay.jetty.Request
`addEventListener, getAttribute, getAttributeNames, getAttributes, getAuthType, getCharacterEncoding, getConnection, getContentLength, getContentType, getContext, getContextPath, getContinuation, getContinuation, getCookies, getDateHeader, getHeader, getHeaderNames, getHeaders, getInputState, getInputStream, getIntHeader, getLocalAddr, getLocale, getLocales, getLocalName, getLocalPort, getMethod, getParameter, getParameterMap, getParameterNames, getParameters, getParameterValues, getPathInfo, getPathTranslated, getProtocol, getQueryEncoding, getQueryString, getReader, getRealPath, getRemotePort, getRequest, getRequestDispatcher, getRequestedSessionId, getRequestURI, getRequestURL, getRoleMap, getRootURL, getScheme, getServerName, getServerPort, getServletName, getServletPath, getSession, getSession, getSessionManager, getTimeStamp, getTimeStampBuffer, getUri, getUserPrincipal, getUserRealm, isHandled, isRequestedSessionIdFromCookie, isRequestedSessionIdFromUrl, isRequestedSessionIdFromURL, isRequestedSessionIdValid, isSecure, isUserInRole, recoverNewSession, removeAttribute, removeEventListener, saveNewSession, setAttribute, setAttributes, setAuthType, setCharacterEncoding, setCharacterEncodingUnchecked, setContentType, setContext, setContextPath, setCookies, setHandled, setMethod, setParameters, setPathInfo, setProtocol, setQueryEncoding, setQueryString, setRequestedSessionId, setRequestedSessionIdFromCookie, setRequestURI, setRoleMap, setScheme, setServerName, setServerPort, setServletName, setServletPath, setSession, setSessionManager, setTimeStamp, setUri, setUserPrincipal, setUserRealm, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### _remoteAddr

    protected String _remoteAddr

### _remoteHost

    protected String _remoteHost

### _remoteUser

    protected String _remoteUser

### _connection

    protected HttpConnection _connection

Constructor Detail

### Ajp13Request

    public Ajp13Request(HttpConnection connection)

Method Detail

### setRemoteUser

    public void setRemoteUser(String remoteUser)

### getRemoteUser

    public String getRemoteUser()

  Description copied from interface: `HttpServletRequest`
  Returns the login of the user making this request, if the user has been authenticated, or `null` if the user has not been authenticated. Whether the user name is sent with each subsequent request depends on the browser and type of authentication. Same as the value of the CGI variable REMOTE_USER.

  Specified by:
    `getRemoteUser` in interface `HttpServletRequest`
  Overrides:
    `getRemoteUser` in class `Request`
  Returns:
    a `String` specifying the login of the user making this request, or `null` if the user login is not known

### getRemoteAddr

    public String getRemoteAddr()

  Description copied from interface: `ServletRequest`
  Returns the Internet Protocol (IP) address of the client or last proxy that sent the request. For HTTP servlets, same as the value of the CGI variable `REMOTE_ADDR`.

  Specified by:
    `getRemoteAddr` in interface `ServletRequest`
  Overrides:
    `getRemoteAddr` in class `Request`
  Returns:
    a `String` containing the IP address of the client that sent the request

### setRemoteAddr

    public void setRemoteAddr(String remoteAddr)

### getRemoteHost

    public String getRemoteHost()

  Description copied from interface: `ServletRequest`
  Returns the fully qualified name of the client or the last proxy that sent the request. If the engine cannot or chooses not to resolve the hostname (to improve performance), this method returns the dotted-string form of the IP address. For HTTP servlets, same as the value of the CGI variable `REMOTE_HOST`.

  Specified by:
    `getRemoteHost` in interface `ServletRequest`
  Overrides:
    `getRemoteHost` in class `Request`
  Returns:
    a `String` containing the fully qualified name of the client

### setRemoteHost

    public void setRemoteHost(String remoteHost)

### recycle

    protected void recycle()

  Overrides:
    `recycle` in class `Request`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.